
#property indicator_separate_window
#property indicator_minimum 0
#property indicator_maximum 100
#property indicator_buffers 2
#property indicator_color1 DodgerBlue
#property indicator_color2 Red
//---- input parameters
extern int RSIPeriod=14;
extern int Applied_price=0;
extern int Code=159;
//---- buffers
 
double PointBuffer[];
//+------------------------------------------------------------------+
//| Custom indicator initialization function                         |
//+------------------------------------------------------------------+
int init()
  {
   
//---- indicator line
   
   SetIndexStyle(0,DRAW_ARROW);
   SetIndexArrow(0,Code);
   SetIndexBuffer(0,PointBuffer);
    SetIndexEmptyValue(0,0.0);
//---- name for DataWindow and indicator subwindow label

  

//----
   return(0);
  }
//+------------------------------------------------------------------+
//| Relative Strength Index                                          |
//+------------------------------------------------------------------+
int start()
  {
   string name="ModyfRSI";
  
   IndicatorShortName(name);
   
   int i, limit, counted_bars=IndicatorCounted();
   if(counted_bars<0) return(-1);
//----
   if(counted_bars<1) limit=Bars-1;
   else limit=Bars-counted_bars;
//----
   for(i=limit; i>=0; i--)
    {
     double v=Volume[i]>Volume[i+2];
   if(v>0)  PointBuffer[i]=iRSI(NULL, 0, RSIPeriod, Applied_price, i);
 
    
    
    }  
 int c1=0,c2=0,t=0;
 
 while (c1==0)
 {
 if (PointBuffer[t]!=0.0){c1=t;}
 t++;
 }
 while (c2==0)
 {
 if (PointBuffer[t]!=0.0){c2=t;}
 t++;
 }
 
 string CrossName =  "Cross"+Time[i];
 ObjectCreate(CrossName , OBJ_TREND, WindowFind(name),0,0);
 ObjectSet(CrossName, OBJPROP_PRICE1, PointBuffer[c1]); 
 ObjectSet(CrossName, OBJPROP_PRICE2, PointBuffer[c2]);
 ObjectSet(CrossName, OBJPROP_TIME1, Time[c1]); 
 ObjectSet(CrossName, OBJPROP_TIME2, Time[c2]);
 ObjectSet(CrossName, OBJPROP_WIDTH,3);
 ObjectSet(CrossName, OBJPROP_RAY, false); 
 ObjectSet(CrossName, OBJPROP_BACK, true); 
 ObjectSet(CrossName, OBJPROP_COLOR, Red);
 


  



//----
   return(0);
  }
//+------------------------------------------------------------------+